export default {
  mounted() {
    const self = this;
    // function keyUp(event) {
    //   const {key, keyCode, altKey, ctrlKey, shiftKey} = event
    //   event.preventDefault()
    //   console.log(key)
    //   if (key === 'F1') return self.F1KeyUp()
    //   if (key === 'F2') return self.F2KeyUp()
    //   if (key === 'F3') return self.F3KeyUp()
    //   // if (key === 'F4') return self.F4KeyUp()
    //   if (key === 'F5') return self.F5KeyUp()
    //   if (key === 'F6') return self.F6KeyUp()
    //   if (key === 'F7') return self.F7KeyUp()
    //   // if (key === 'F8') return self.F8KeyUp()
    //   if (key === 'F9') return self.F9KeyUp()
    //   // if (key === 'F10') return self.F10KeyUp()
    // }

    // window.addEventListener('keyup', keyUp)
    document.onkeydown = function (event) {
      let key = window.event.keyCode;
      console.log(window, "window1");
      if (key === 112) {
        // 监听ctrl+A组合键
        window.event.preventDefault(); //关闭浏览器默认快捷键
        self.F1KeyUp();
      } else if (key === 113) {
        window.event.preventDefault();
        self.F2KeyUp();
      } else if (key === 114) {
        window.event.preventDefault();
        self.F3KeyUp();
      } else if (key === 115) {
        window.event.preventDefault();
        self.F4KeyUp();
      } else if (key === 117) {
        window.event.preventDefault();
        self.F6KeyUp();
      } else if (key === 118) {
        window.event.preventDefault();
        self.F7KeyUp();
      } else if (key == 119) {
        window.event.preventDefault();
        self.F8KeyUp();
      } else if (key == 120) {
        window.event.preventDefault();
        self.F9KeyUp();
      } else if (key == 121) {
        window.event.preventDefault();
        self.F10KeyUp();
      }
    };
  },
  destroyed() {
    //取消键盘监听事件
    document.onkeydown = null;
  },

  methods: {
    F1KeyUp() {
      // 复核确认
      this.checkConfirm();
    },
    F2KeyUp() {
      // 拼箱
      console.log("拼箱");

      this.printEvent(2);
    },
    F3KeyUp() {
      // 关箱
      console.log("关箱");
      this.printEvent(1);
      // this.wholepiecesplit()  整件拆分
    },
    F4KeyUp() {
      // 扫描监管码
      this.checkSuperviseCode(false);
    },
    F5KeyUp() {
      // 刷新
      this.reloadPage();
    },
    F6KeyUp() {
      this.checkSuperviseCode(true);    
      //   this.saveInnerCheckDetails();
    },
    F7KeyUp() {
      // 扫描监管码
      // this.checkSuperviseCode()
    },
    F8KeyUp() {
      // 任务查看
      this.viewTask();
    },
    F9KeyUp() {
      // 差异记录
      // this.differentRecord()
      //封箱
      this.fxhandleOk();
    },
    F10KeyUp() {
      // 复核取消
      // this.checkOutCancel()
      //等待
      this.fxhandleCancel();
    },
  },
};
